#include <stdio.h>
#include <bios.h>
#include "ticgi.h"

#define COM1 0

#define SETTINGS (0xE0|0x03|0x00|0x00)
// 9600 bps, 8 Data Bits, 1 Stop Bit, No Parity

void main(void)
{
char *request;
char *command;
short int data,flag;

request=getRequest(1);
command=extractValue("command");
command=decodeString(command);
data=atoi(command);
freeResources();

bioscom(0,SETTINGS,COM1);
bioscom(1,data,COM1);
flag=0;
while(!flag)
	flag=bioscom(3,0,COM1)&0x100;
data=bioscom(2,0,COM1)&0xFF;

printf("Content-type: text/vnd.wap.wml\n");
printf("\n");
printf("<?xml version=\"1.0\"?>\n");
printf("<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.1//EN\" \"http://www.wapforum.org/DTD/wml_1.1.xml\">\n");
printf("<wml>\n");
printf("<card id=\"card1\" title=\"WAP Remote Control\">\n");
printf("<do type=\"accept\" label=\"Send\">");
printf("<go method=\"post\" href=\"http://localhost/cgi-bin/waprc.exe\">");
printf("<postfield name=\"command\" value=\"$(input)\"/>");
printf("</go>");
printf("</do>");
printf("<p>Command: <input type=\"text\" name=\"input\"/></p>");
printf("<p>Status: %d</p>\n",data);
printf("</card>\n");
printf("</wml>\n");
}